# Interface IRefactoringSaveModes

public interface IRefactoringSaveModes
Constants moved from RefactoringSaveHelper for the purposes of making them available to non-UI bundles.

Since:
  1.20

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SAVE_ALL`
Save mode to save all dirty editors.
`static final int`
`SAVE_ALL_ALWAYS_ASK`
Save mode to save all dirty editors (always ask).
`static final int`
`SAVE_NOTHING`
Save mode to not save any editors.
`static final int`
`SAVE_REFACTORING`
Save mode to save all editors that are known to cause trouble for Java refactorings, e.g. editors on compilation units that are not in working copy mode.

## Field Details

### SAVE_ALL_ALWAYS_ASK

static final int SAVE_ALL_ALWAYS_ASK
Save mode to save all dirty editors (always ask).

See Also:
  - Constant Field Values

### SAVE_ALL

static final int SAVE_ALL
Save mode to save all dirty editors.

See Also:
  - Constant Field Values

### SAVE_NOTHING

static final int SAVE_NOTHING
Save mode to not save any editors.

See Also:
  - Constant Field Values

### SAVE_REFACTORING

static final int SAVE_REFACTORING
Save mode to save all editors that are known to cause trouble for Java refactorings, e.g. editors on compilation units that are not in working copy mode.

See Also:
  - Constant Field Values